# Properties Library

<table><thead><tr><th>Property Name</th><th>Property Value</th><th width="187">When to use</th><th>How it works</th></tr></thead><tbody><tr><td>charSequence</td><td>true/false</td><td><p>1)     When there were some characters missing in the sent value</p><p>2)     The given value has some special characters</p><p>3)     When the field has some dependent results like a search box / date</p></td><td>Sends the value character by character with a time gap of 100ms</td></tr><tr><td>copyAndPaste</td><td>true/false</td><td>This is kind of a hack when none of the configuration were not working / unable to send the value to the textbox</td><td>It copies the given value to the clipboard and pastes the same into the element</td></tr><tr><td>pasteOnly</td><td>true/false</td><td>This should be used when there was a value getting copied from the application and that be used for pasting.</td><td>It just copies the clipboard value into the element</td></tr><tr><td>clickAndSend</td><td>true/false</td><td><p>1)     When there is no pointer on the text box</p><p>2)     When the sent value is not visible in the webpage</p></td><td>It performs a click on the element and then sends a value</td></tr><tr><td>jsSend</td><td>true/false</td><td><p>1)     When we got the element click interception</p><p>2)    When an element is getting overlapped by other element</p></td><td>It sends the value using javascript</td></tr><tr><td>focusAndSend</td><td>true/false</td><td>When the element is not in the active state and in enabled state without any pointer</td><td>It mouse hovers on to the element then clicks and send a value</td></tr><tr><td>sendWithoutClear</td><td>true/false</td><td>When we are performing any update operations on the web page</td><td>It sends the value into the element without clearing the existing value</td></tr><tr><td>selectAllAndSend</td><td>true/false</td><td>When we couldn’t clear the existing value by default technnique</td><td>It performs the CTRL+A Operation then clicks on BACKSPACE -> Which clears the element data, Then sends the value</td></tr><tr><td>smartClearAndSend</td><td>true/false</td><td>When we see an increment / decrement typical text box. We can use this</td><td>It clears the value character by character and then sends the value</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.qatts.com/studio/ui-elements/text_box/properties-library.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
